> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ochy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get raw data

> Retrieve frame-by-frame position data for a completed analysis.
Only available when the analysis status is `success`.

**Side view analysis** returns positions for: head top, nose, eyes, ears, shoulders, elbows, wrists,
hips, knees, ankles, heels, feet, and neck, plus video metadata and human bounding box per frame.

**Back view analysis** returns positions for: C7 (spine), hips (LHIP/RHIP), PSIS landmarks, knees,
calves, ankles, heels (LBHEEL/RBHEEL, LTHEEL/RTHEEL), and metatarsals (LFM1/LFM5, RFM1/RFM5),
plus video metadata and human detection confidence scores per joint.




## OpenAPI

````yaml /openapi.yaml get /analysis/{analysis_id}/results/raw_data
openapi: 3.0.1
info:
  title: Ochy Partner API
  version: 1.0.0
  description: >
    The Ochy Partner API lets you integrate running biomechanical analysis into
    your application.

    Upload a video of a runner, receive detailed biomechanical metrics, joint
    angles, running style

    classification, and frame-by-frame position data.
servers:
  - url: https://partner-api.ochy-prod.com
    description: Production
security:
  - apiKey: []
paths:
  /analysis/{analysis_id}/results/raw_data:
    get:
      tags:
        - Analysis
      summary: Get raw data
      description: >
        Retrieve frame-by-frame position data for a completed analysis.

        Only available when the analysis status is `success`.


        **Side view analysis** returns positions for: head top, nose, eyes,
        ears, shoulders, elbows, wrists,

        hips, knees, ankles, heels, feet, and neck, plus video metadata and
        human bounding box per frame.


        **Back view analysis** returns positions for: C7 (spine), hips
        (LHIP/RHIP), PSIS landmarks, knees,

        calves, ankles, heels (LBHEEL/RBHEEL, LTHEEL/RTHEEL), and metatarsals
        (LFM1/LFM5, RFM1/RFM5),

        plus video metadata and human detection confidence scores per joint.
      operationId: getRawData
      parameters:
        - name: analysis_id
          in: path
          required: true
          description: Analysis ID returned by the start endpoint.
          schema:
            type: string
          example: 3dde3402-94d7-462e-a784-9306207108dd
      responses:
        '200':
          description: Raw frame-by-frame data.
          content:
            application/json:
              schema:
                type: object
                description: Shape varies by analysis type. See description for details.
              examples:
                side_view:
                  summary: Side view raw data (single frame excerpt)
                  value:
                    video_input_information:
                      duration: 5.6
                      fps: 30
                      height: 1080
                      width: 1920
                    frames:
                      '1':
                        timestamp: -26.667
                        positions:
                          head_top_pos:
                            x: 283.312
                            'y': 478.25
                          nose_pos:
                            x: 283.312
                            'y': 468.438
                          neck_pos:
                            x: 272.104
                            'y': 468.438
                          left_shoulder_pos:
                            x: 283.312
                            'y': 463.531
                          left_elbow_pos:
                            x: 277.708
                            'y': 448.812
                          left_wrist_pos:
                            x: 277.708
                            'y': 439
                          left_hip_pos:
                            x: 272.104
                            'y': 434.094
                          left_knee_pos:
                            x: 283.312
                            'y': 414.469
                          left_ankle_pos:
                            x: 277.708
                            'y': 394.844
                          left_heel_pos:
                            x: 283.312
                            'y': 394.844
                          left_foot_pos:
                            x: 277.708
                            'y': 385.031
                          right_shoulder_pos:
                            x: 260.896
                            'y': 463.531
                          right_elbow_pos:
                            x: 249.687
                            'y': 448.812
                          right_wrist_pos:
                            x: 266.5
                            'y': 443.906
                          right_hip_pos:
                            x: 260.896
                            'y': 434.094
                          right_knee_pos:
                            x: 260.896
                            'y': 409.563
                          right_ankle_pos:
                            x: 255.292
                            'y': 394.844
                          right_heel_pos:
                            x: 249.687
                            'y': 399.75
                          right_foot_pos:
                            x: 255.292
                            'y': 389.938
                        human_bbox:
                          min_x: 132
                          min_y: 484
                          max_x: 401
                          max_y: 798
                back_view:
                  summary: Back view raw data (single frame excerpt)
                  value:
                    video_input_information:
                      duration: 10
                      fps: 30
                      height: 1080
                      width: 607
                    frames:
                      '0':
                        timestamp: 0
                        positions:
                          C7_pos:
                            x: 297.177
                            'y': 164.531
                            score: 0.795
                          LANK_pos:
                            x: 284.531
                            'y': 641.25
                            score: 0.905
                          LBHEEL_pos:
                            x: 290.854
                            'y': 666.562
                            score: 0.932
                          LCALF_pos:
                            x: 278.208
                            'y': 599.062
                            score: 0.842
                          LFM1_pos:
                            x: 290.854
                            'y': 649.688
                            score: 0.782
                          LFM5_pos:
                            x: 271.885
                            'y': 653.906
                            score: 0.861
                          LHIP_pos:
                            x: 265.562
                            'y': 409.219
                            score: 0.694
                          LKNEE_pos:
                            x: 271.885
                            'y': 531.562
                            score: 0.93
                          RANK_pos:
                            x: 325.63
                            'y': 594.844
                            score: 0.596
                          RBHEEL_pos:
                            x: 328.792
                            'y': 594.844
                            score: 0.591
                          RKNEE_pos:
                            x: 316.146
                            'y': 497.812
                            score: 0.788
                          RHIP_pos:
                            x: 322.469
                            'y': 405
                            score: 0.721
                        human_bbox:
                          min_x: 0
                          min_y: 0
                          max_x: 607
                          max_y: 1080
                          score: 1
        '400':
          description: Analysis not completed yet or raw data unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: 'Analysis is not completed yet. Current status: analyzing'
        '401':
          description: Missing API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthErrorResponse'
        '403':
          description: Invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthErrorResponse'
        '404':
          description: Analysis not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
          example: Internal server error
        code:
          type: string
          description: Machine-readable error code (present on some errors).
          example: insufficient_credits
    AuthErrorResponse:
      type: object
      properties:
        detail:
          type: string
          example: API Key is missing
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apiKey
      description: Your API key, passed as a query parameter on every request.

````